## AgsResizeAudio

AgsResizeAudio — resize audio task

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsResizeAudio * | ags_resize_audio_new ()

## Properties

AgsAudio * | audio | Read / Write
guint | audio-channels | Read / Write
guint | input-pads | Read / Write
guint | output-pads | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsResizeAudio

## Includes

    #include <ags/audio/task/ags_resize_audio.h>

## Description

The AgsResizeAudio task resizes AgsAudio.

## Functions

### ags_resize_audio_new ()

    AgsResizeAudio *
    ags_resize_audio_new (AgsAudio *audio,
                          guint output_pads,
                          guint input_pads,
                          guint audio_channels);

Creates an AgsResizeAudio.

#### Parameters

audio | the AgsAudio to resize |
output_pads | output pads |
input_pads | input pads |
audio_channels | audio channels |

#### Returns

an new AgsResizeAudio.

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsResizeAudio

Flags: Read / Write

Since: 3.0.0

### The `“audio-channels”` property

      “audio-channels”           guint

The count of audio channels to apply to audio.

Owner: AgsResizeAudio

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“input-pads”` property

      “input-pads”               guint

The count of input pads to apply to audio.

Owner: AgsResizeAudio

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“output-pads”` property

      “output-pads”              guint

The count of output pads to apply to audio.

Owner: AgsResizeAudio

Flags: Read / Write

Default value: 0

Since: 3.0.0